package junit.log4j;

/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html
 */


import java.util.Date;

/**
 * Testcase for demonstration of Log4Unit features.
 * <p>
 *
 * <dl><dt><strong>Created:</strong></dt><dd>Sat Aug 30 14:43:48 2003</dd></dl>
 *
 * @author <a href="mailto:wolfgang@openfuture.de">Wolfgang Reissenberger</a>
 * @version $Revision: 1.1 $
 */

public class DemoTestCase extends LoggedTestCase {

    /**
     * Creates a new <code>DemoTestCase</code> instance.
     *
     */
    public DemoTestCase () {
        super("DemoTestCase");
    }

    public void testShowLog4UnitPositive() throws Exception {
        info("Starting DemoTestCase on " + new Date());
        
        assertEquals("abc", "abc");
        
        debug("The two strings \"abc\" and \"abc\" are equal.");

        info("Finishing DemoTestCase on " + new Date());
    }


    public void testShowLog4UnitNegative() throws Exception {
        info("Starting DemoTestCase on " + new Date());
        
        assertTrue("abc" == "abcd");
        
        debug("The two strings \"abc\" and \"abc\" are identical.");

        info("Finishing DemoTestCase on " + new Date());
    }
}// DemoTestCase

// ----------------------------------------------------------------------
//
// $Id: DemoTestCase.java,v 1.1 2003/08/30 20:11:17 wreissen Exp $
//
// Version History:
// ----------------
// $Log: DemoTestCase.java,v $
// Revision 1.1  2003/08/30 20:11:17  wreissen
// initial version
//
//
// ----------------------------------------------------------------------
//
